# AG Server Borgmatic Config

Setup with:
```
borgmatic rcreate -c ag-backup.yaml -e repokey
```

Backup command:
```
borgmatic -c ag-backup.yaml -v 1 --progres --stats
```

For this 'pull method' to work I needed to add the following line to the servers `/etc/sudoers`:
```
# Allow /usr/lib/openssh/sftp-server for sshfs mounts as root
%sudo  ALL=(ALL) NOPASSWD: /usr/lib/openssh/sftp-server
```

*Notice:*

The server file system will be mounted at `tmp/mnt/ag-link-server` on your local machine. Define the paths to be backed up from there on.


## Dependencies

Backup depends on:

- `borgbackup`
- `borgmatic`
- `sshfs`

If you have nix installed, simply run `nix-shell` from this Repository.

